%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Netload plugin for the Xfce panel
Summary(de):	Netzlasterweiterung für die Xfce-Leiste
Name:		xfce4-netload-plugin
Version:	1.4.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-netload-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-netload-plugin/%{url_ver}/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64xfce4panel2.0-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel

Requires:	xfce4-panel

%description
A netload panel plugin for the Xfce Desktop Environment.

%description -l de
Ein Netzlasterweiterung für die Xfce Desktop-Umgebung

%prep
%setup -q -n %{name}-%{version}

%build
%xdt_autogen
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*
%{_iconsdir}/hicolor/*/apps/*.*g
%{_datadir}/locale/*

%changelog
* Thu May 04 2023 tex - 1.4.1-1pclos2023
- new version

* Wed Mar 10 2021 tex - 1.4.0-1pclos2021
- new version
